Gets the comments for the specified task

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cadency Close Task Action Plan API MCP server": {
  "url": "https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp"
}
Close
GET /tasks/{id}/comments

Gets the comments for the defined tasks based on the pagination parameters provided in the query parameters.

Path parameters

  • id integer Required

    The identifier for the task for get the comments for the defined task

Query parameters

  • page integer(int32)

    The page define the current page number. It should be positive integer number and should start with minimum value 1.

    Minimum value is 1.

  • size integer(int32)

    The size define number of records on each page. It should be positive integer number between 1 to 10000.

    Minimum value is 1, maximum value is 10000.

  • sort array[string]

    The sort parameter accepts an array of strings, allowing for multiple sorting criteria. By default, sorting order is ascending.

  • name string

    The name parameter is an optional filter that allows you to narrow down the results based on specific name content.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • result array[object]
      Hide result attributes Show result attributes object
      • id integer
      • message string
      • commentDate string(date-time)
      • userFullName string
    • metadata object

      Paging metadata dto.

      Hide metadata attributes Show metadata attributes object
      • totalElements integer(int64)

        The total number of rows in the result set.

      • totalPages integer(int32)

        The total number of pages in the result set, should = totalElements / size

      • first boolean

        True if this is the first page.

      • last boolean

        True if this is the last page.

      • empty boolean

        True if the result is empty.

      • numberOfElements integer(int32)

        The number of results in this page. Will be <= size.

      • size integer(int32)

        The page size.

      • sorted boolean

        True if the results are sorted.

GET /tasks/{id}/comments
curl \
 --request GET 'https://usaapi02.cadencyservices.trintech.com/test/api/tasks/{id}/comments' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "result": [
    {
      "id": 42,
      "message": "string",
      "commentDate": "2026-05-04T09:42:00Z",
      "userFullName": "string"
    }
  ],
  "metadata": {
    "totalElements": 42,
    "totalPages": 42,
    "first": true,
    "last": true,
    "empty": true,
    "numberOfElements": 42,
    "size": 42,
    "sorted": true
  }
}